slepc-3.21.1 2024-04-26
Report Typos and Errors

# MFNSetFromOptions

Sets MFN options from the options database. This routine must be called before MFNSetUp() if the user is to be allowed to set the solver type.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNSetFromOptions(MFN mfn)

Collective

### Input Parameters

| mfn | - the matrix function context

### Notes

To see all options, run your program with the -help option.

### See Also

MFNSetOptionsPrefix()

### Level

beginner

### Location

src/mfn/interface/mfnopts.c

### Examples

src/eps/tutorials/ex36.c
src/mfn/tutorials/ex23.c
src/mfn/tutorials/ex23f.F90
src/mfn/tutorials/ex26.c
src/mfn/tutorials/ex37.c
src/mfn/tutorials/ex39.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages